#ifndef CIRCLE_HEADER
#define CIRCLE_HEADER

#define _USE_MATH_DEFINES

#include <math.h>

class Circle {
private:
    double radius;

public:
    Circle() {
        radius = 0;
    }

    Circle(double r) {
        radius = r;
    }

    double getRadius() const {
        return radius;
    }

    void setRadius(double r) {
        radius = r;
    }

    double calculateArea() const {
        return M_PI * radius * radius;
    }
};

#endif